Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.configuration
Class XMLDataChannelDescriptorLoader

    java.lang.Object
      org.apache.cayenne.configuration.XMLDataChannelDescriptorLoader

All Implemented Interfaces:
  DataChannelDescriptorLoader

    public class XMLDataChannelDescriptorLoader

extends java.lang.Object
implements DataChannelDescriptorLoader

Since:
  3.1

Field Summary
`protected DataMapLoader` | `dataMapLoader`
`protected ConfigurationNameMapper` | `nameMapper`

Constructor Summary
`XMLDataChannelDescriptorLoader()`

Method Summary
`ConfigurationTree<DataChannelDescriptor>` | `load(Resource configurationResource)` Loads a DataChannelDescriptor from some configuration resource, usually an XML file found on classpath.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataMapLoader

    protected DataMapLoader dataMapLoader

### nameMapper

    protected ConfigurationNameMapper nameMapper

Constructor Detail

### XMLDataChannelDescriptorLoader

    public XMLDataChannelDescriptorLoader()

Method Detail

### load

    public ConfigurationTree<DataChannelDescriptor> load(Resource configurationResource)
                                                  throws ConfigurationException

  Description copied from interface: `DataChannelDescriptorLoader`
  Loads a DataChannelDescriptor from some configuration resource, usually an XML file found on classpath.

  Specified by:
    `load` in interface `DataChannelDescriptorLoader`
  Throws:
    `ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.